NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SketchMirrorPatternBuilder Class Reference

Represents a NXOpen.SketchMirrorPatternBuilder More...

Inheritance diagram for NXOpen.SketchMirrorPatternBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void SetEndConstraint (NXOpen.NXObject parent, bool isStart, bool constraint)
 This function removes end constraint from the given mirror pattern More...
 
unsafe void UpdateDirectionObject ()
 This function updates the mirror constraint with the new direction in the builder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe bool ConvertToReference [get, set]
 Returns or sets the flag to indicate if the centerline needs to be converted to reference More...
 
unsafe NXOpen.SelectNXObject DirectionObject [get]
 Returns the direction object. More...
 
unsafe NXOpen.Section Section [get]
 Returns the pattern section More...
 

Detailed Description

Represents a NXOpen.SketchMirrorPatternBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchMirrorPatternBuilder

Default values.

Property Value

ConvertToReference

True

Created in NX7.5.0

Member Function Documentation

unsafe void NXOpen.SketchMirrorPatternBuilder.SetEndConstraint ( NXOpen.NXObject  parent,
bool  isStart,
bool  constraint 
)

This function removes end constraint from the given mirror pattern

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
parentParent object in base chain
isStartTRUE, if we want to remove the start end con
constraintTRUE to add the con, false to remove
unsafe void NXOpen.SketchMirrorPatternBuilder.UpdateDirectionObject ( )

This function updates the mirror constraint with the new direction in the builder

Created in NX10.0.0

License requirements: None.

Property Documentation

unsafe bool NXOpen.SketchMirrorPatternBuilder.ConvertToReference
getset

Returns or sets the flag to indicate if the centerline needs to be converted to reference

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObject NXOpen.SketchMirrorPatternBuilder.DirectionObject
get

Returns the direction object.

This function gets direction object of the pattern constraint

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Section NXOpen.SketchMirrorPatternBuilder.Section
get

Returns the pattern section

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.